<?php $this->Extend('/Scaffolds/admin_form'); ?>
<?php $this->Html->css('EvShop.ev_shop', array('inline' => false)); ?>
<?php $this->Append('additionalFormTabs'); ?>

	<?php if(! empty($productAttributes)): ?>
		
		<div class='tab__content tab__content--padded' data-title='Product Attributes'>


			<?php echo $this->Form->addField('ProductAttributeOption.ProductAttributeOption', array(
				'type' => 'hidden', 
				'value' => false
			)); ?>

			<?php $selectedProductAttributeOptions = Hash::extract($this->request->data['ProductAttributeOption'], '{n}.id'); ?>


			<?php foreach($productAttributes as $attributeKey => $productAttribute): ?>

				<h3><?php echo $productAttribute['ProductAttribute']['name']; ?></h3>
		
				<?php if($productAttribute['ProductAttribute']['affects_price']): ?>

					<?php foreach($productAttribute['ProductAttributeOption'] as $optionKey=>$productAttributeOption): ?>
						
						<?php echo $this->Form->addField('ProductAttributeOption.ProductAttributeOption.'.$attributeKey."-".$optionKey, array(
							'type' => 'boolean', 
							'value' => $productAttributeOption['id'], 
							'label' => $productAttributeOption['name'],
							'hiddenField' => false, 
							'checked' => in_array($productAttributeOption['id'], $selectedProductAttributeOptions)
						)); ?>

					<?php endforeach; ?>

				<?php else: ?>

					<?php 

					//Work out if one of the options is selected by checking the intersect between
					//This attributes options and the products selected attributes
					$selectedAttributeOptions = array_intersect($selectedProductAttributeOptions, Hash::extract($productAttribute['ProductAttributeOption'], '{n}.id'))

					?>

					<?php echo $this->Form->addField('ProductAttributeOption.ProductAttributeOption.'.$attributeKey, array(
							'type' => 'select', 
							'options' => Hash::combine($productAttribute['ProductAttributeOption'], '{n}.id', '{n}.name'),
							'label' => $productAttribute['ProductAttribute']['name'],
							'empty' => 'Not Applicable',
							'selected' => array_pop($selectedAttributeOptions)
						)); ?>

				<?php endif; ?>	

			<?php endforeach; ?>
		</div>

	<?php endif; ?>

	<div class='tab__content' data-title='Pricing'>

		<?php

			if(empty($primaryAttribute)) {

				$gridCellKey = 0;

				//Because there is no primary attribute we can assume there is only one combination
				//as all attributes must be single selects (affects_price 0)
				if(!empty($productAttributeCombinations)) {
					$productAttributeCombination = $productAttributeCombinations[0];
				} else {
					$productAttributeCombination = $productAttributeCombinations;
				}

				echo $this->Element('EvShop.Admin/PriceCell', compact('gridCellKey', 'productAttributeCombination'));
			
			} else {

				$cellElement = "PriceCell"; 
				echo $this->Element('EvShop.Admin/PricingAndStockTable', compact('productAttributeCombinations', 'primaryAttribute', 'cellElement')); 

			}

		?>

	</div>

	<div class='tab__content' data-title='Inventory'>

		<?php

			if(empty($primaryAttribute)) {

				$gridCellKey = 0;

				//Because there is no primary attribute we can assume there is only one combination
				//as all attributes must be single selects (affects_price 0)
				if(!empty($productAttributeCombinations)) {
					$productAttributeCombination = $productAttributeCombinations[0];
				} else {
					$productAttributeCombination = $productAttributeCombinations;
				}

				$label = "Stock";
				echo $this->Element('EvShop.Admin/InventoryCell', compact('label', 'gridCellKey', 'productAttributeCombination'));
			
			} else {

				$cellElement = "InventoryCell";
				echo $this->Element('EvShop.Admin/PricingAndStockTable', compact('productAttributeCombinations', 'primaryAttribute', 'cellElement'));

			}

		?>

	</div>

<?php $this->End(); ?>